--插入其它生产加工单_主表界面格式
--delete System_ModuleFormat where module='Plan_PMC_Header'
if(select count(1) from System_ModuleFormat where module='Plan_PMC_Header' and field='pmc_id')=0
begin
	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'pmc_id' as field,
	'生产加工单主表ID' as field_name,'生产加工单主表ID' as title,
	120 as width,100 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;
	
	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'order_number' as field,
	'加工单号' as field_name,'加工单号' as title,
	120 as width,110 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'new_date' as field,
	'新增日期' as field_name,'新增日期' as title,
	120 as width,120 as sort,1 as show,0 as hidden,0 as sum_field,'date' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'p_i_id' as field,
	'父件ID' as field_name,'父件ID' as title,
	120 as width,130 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'p_i_code' as field,
	'父件编码' as field_name,'父件编码' as title,
	98 as width,140 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'p_i_name' as field,
	'父件名称' as field_name,'父件名称' as title,
	120 as width,150 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'p_standard' as field,
	'规格型号' as field_name,'规格型号' as title,
	120 as width,160 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'p_munit' as field,
	'单位' as field_name,'单位' as title,
	120 as width,170 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'sos_id' as field,
	'订单子表id' as field_name,'订单子表id' as title,
	120 as width,180 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_select,can_edit)
	select 'Plan_PMC_Header' as module,'so_order_number' as field,
	'销售订单号' as field_name,'销售订单号' as title,
	103 as width,190 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_select,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'wh_id' as field,
	'仓库ID' as field_name,'仓库ID' as title,
	120 as width,200 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'wh_name' as field,
	'仓库' as field_name,'仓库' as title,
	98 as width,210 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'dep_id' as field,
	'部门ID' as field_name,'部门ID' as title,
	120 as width,220 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'dep_name' as field,
	'部门' as field_name,'部门' as title,
	98 as width,230 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'pmc_quantity' as field,
	'产量' as field_name,'产量' as title,
	120 as width,240 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'acc_in_quantity' as field,
	'累计入库数量' as field_name,'累计入库数量' as title,
	120 as width,250 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'acc_in_num' as field,
	'累计入库件数' as field_name,'累计入库件数' as title,
	120 as width,260 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'plan_finish_date' as field,
	'预完工日' as field_name,'预完工日' as title,
	120 as width,270 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'act_finish_date' as field,
	'完工日期' as field_name,'完工日期' as title,
	120 as width,280 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'new_user' as field,
	'新增人' as field_name,'新增人' as title,
	120 as width,290 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'update_user' as field,
	'修改人' as field_name,'修改人' as title,
	120 as width,300 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'update_date' as field,
	'修改日期' as field_name,'修改日期' as title,
	120 as width,310 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'verify_user' as field,
	'审核人' as field_name,'审核人' as title,
	120 as width,320 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'remark' as field,
	'备注' as field_name,'备注' as title,
	120 as width,330 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'sdefine1' as field,
	'字符自定义项1' as field_name,'字符自定义项1' as title,
	120 as width,1010 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'sdefine2' as field,
	'字符自定义项2' as field_name,'字符自定义项2' as title,
	120 as width,1020 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'sdefine3' as field,
	'字符自定义项3' as field_name,'字符自定义项3' as title,
	120 as width,1030 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'sdefine4' as field,
	'字符自定义项4' as field_name,'字符自定义项4' as title,
	120 as width,1040 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'sdefine5' as field,
	'字符自定义项5' as field_name,'字符自定义项5' as title,
	120 as width,1050 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'ndefine1' as field,
	'数值自定义项1' as field_name,'数值自定义项1' as title,
	120 as width,1110 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'ndefine2' as field,
	'数值自定义项2' as field_name,'数值自定义项2' as title,
	120 as width,1120 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'ndefine3' as field,
	'数值自定义项3' as field_name,'数值自定义项3' as title,
	120 as width,1130 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'ndefine4' as field,
	'数值自定义项4' as field_name,'数值自定义项4' as title,
	120 as width,1140 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMC_Header' as module,'ndefine5' as field,
	'数值自定义项5' as field_name,'数值自定义项5' as title,
	120 as width,1150 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

end
/**/GO



--插入其它加工单_编辑界面格式
--delete System_ModuleFormat where module='Plan_PMCs_Input'
if(select count(1) from System_ModuleFormat where module='Plan_PMCs_Input' and field='pmcs_id')=0
begin
	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'pmcs_id' as field,
	'加工单子表ID' as field_name,'加工单子表ID' as title,
	120 as width,100 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'pmc_id' as field,
	'加工单主表ID' as field_name,'加工单主表ID' as title,
	120 as width,110 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'i_id' as field,
	'子件ID' as field_name,'子件ID' as title,
	120 as width,120 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'i_code' as field,
	'子件编码' as field_name,'子件编码' as title,
	98 as width,130 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'i_name' as field,
	'子件名称' as field_name,'子件名称' as title,
	120 as width,140 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'standard' as field,
	'规格型号' as field_name,'规格型号' as title,
	120 as width,150 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;
	
	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'munit' as field,
	'单位' as field_name,'单位' as title,
	60 as width,160 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'aunit' as field,
	'辅计量单位' as field_name,'辅计量单位' as title,
	60 as width,170 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;
	
	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'free1' as field,
	'自由项1' as field_name,'自由项1' as title,
	120 as width,180 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'free2' as field,
	'自由项2' as field_name,'自由项2' as title,
	120 as width,190 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'quantity' as field,
	'产量' as field_name,'产量' as title,
	70 as width,200 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'bo_quantity' as field,
	'单件用量' as field_name,'单件用量' as title,
	70 as width,210 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;
	
	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'att_rate' as field,
	'损耗率' as field_name,'损耗率' as title,
	70 as width,220 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'plan_quantity' as field,
	'计划数量' as field_name,'计划数量' as title,
	70 as width,230 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_wh_id' as field,
	'仓库ID' as field_name,'仓库ID' as title,
	120 as width,240 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_wh_name' as field,
	'仓库' as field_name,'仓库' as title,
	98 as width,250 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_dep_id' as field,
	'部门ID' as field_name,'部门ID' as title,
	120 as width,260 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_dep_name' as field,
	'部门' as field_name,'部门' as title,
	98 as width,270 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_remark' as field,
	'备注' as field_name,'备注' as title,
	120 as width,280 as sort,1 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_sdefine1' as field,
	'字符自定义项1' as field_name,'字符自定义项1' as title,
	120 as width,1010 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_sdefine2' as field,
	'字符自定义项2' as field_name,'字符自定义项2' as title,
	120 as width,1020 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_sdefine3' as field,
	'字符自定义项3' as field_name,'字符自定义项3' as title,
	120 as width,1030 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_sdefine4' as field,
	'字符自定义项4' as field_name,'字符自定义项4' as title,
	120 as width,1040 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_sdefine5' as field,
	'字符自定义项5' as field_name,'字符自定义项5' as title,
	120 as width,1050 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_ndefine1' as field,
	'数值自定义项1' as field_name,'数值自定义项1' as title,
	120 as width,1110 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_ndefine2' as field,
	'数值自定义项2' as field_name,'数值自定义项2' as title,
	120 as width,1120 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_ndefine3' as field,
	'数值自定义项3' as field_name,'数值自定义项3' as title,
	120 as width,1130 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_ndefine4' as field,
	'数值自定义项4' as field_name,'数值自定义项4' as title,
	120 as width,1140 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_ndefine5' as field,
	'数值自定义项5' as field_name,'数值自定义项5' as title,
	120 as width,1150 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,1 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_inv_sdefine1' as field,
	'存货字符自定义项1' as field_name,'存货字符自定义项1' as title,
	120 as width,2010 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_inv_sdefine2' as field,
	'存货字符自定义项2' as field_name,'存货字符自定义项2' as title,
	120 as width,2020 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_inv_sdefine3' as field,
	'存货字符自定义项3' as field_name,'存货字符自定义项3' as title,
	120 as width,2030 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_inv_sdefine4' as field,
	'存货字符自定义项4' as field_name,'存货字符自定义项4' as title,
	120 as width,2040 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_inv_sdefine5' as field,
	'存货字符自定义项5' as field_name,'存货字符自定义项5' as title,
	120 as width,2050 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_inv_ndefine1' as field,
	'存货数值自定义项1' as field_name,'存货数值自定义项1' as title,
	120 as width,2110 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_inv_ndefine2' as field,
	'存货数值自定义项2' as field_name,'存货数值自定义项2' as title,
	120 as width,2120 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_inv_ndefine3' as field,
	'存货数值自定义项3' as field_name,'存货数值自定义项3' as title,
	120 as width,2130 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_inv_ndefine4' as field,
	'存货数值自定义项4' as field_name,'存货数值自定义项4' as title,
	120 as width,2140 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

	insert System_ModuleFormat(module,field,field_name,
	title,width,sort,show,hidden,sum_field,type,can_edit)
	select 'Plan_PMCs_Input' as module,'d_inv_ndefine5' as field,
	'存货数值自定义项5' as field_name,'存货数值自定义项5' as title,
	120 as width,2150 as sort,0 as show,0 as hidden,0 as sum_field,'text' as type,0 as can_edit;

end
/**/GO

